package com.talanx.harpoon.echo;

import java.net.URL;

import javax.enterprise.context.ApplicationScoped;
import javax.xml.namespace.QName;

import de.hdi.ws.de.hdi.highavailabilityecho.EchoAS;
import de.hdi.ws.de.hdi.highavailabilityecho.EchoAS_Service;
import de.hdi.ws.de.hdi.highavailabilityecho.EchoFehlerException_Exception;

@ApplicationScoped
public class EchoBean {

	public String echo(final String in) throws EchoFehlerException_Exception {
		URL url = this.getClass().getClassLoader().getResource("META-INF/wsdl/echo.wsdl");

		EchoAS_Service service = new EchoAS_Service(
				url, new QName("http://ws.hdi.de/de/hdi/highavailabilityecho", "EchoAS"));
		EchoAS serviceImpl = service.getEchoASPort();

		return serviceImpl.echo(in);
	}
}
